# $Revision: 1.17 $, $Date: 2012/01/14 19:11:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DNS-ToolKit
Summary:	Net::DNS::ToolKit - tools for working with DNS packets
Summary(pl.UTF-8):	Net::DNS::ToolKit - narzędzia do pracy z pakietami DNS
Name:		perl-Net-DNS-ToolKit
Version:	0.45
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	843d8a14a42d75f56c6cd69b6032cf5d
URL:		http://search.cpan.org/dist/Net-DNS-ToolKit/
%if %{with tests}
BuildRequires:	perl-Net-DNS-Codes >= 0.06
BuildRequires:	perl-NetAddr-IP
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Routines to pick apart, examine and put together DNS packets. They can
be used for diagnostic purposes or as building blocks for DNS
applications such as DNS servers and clients or to allow user
applications to interact directly with remote DNS servers.

%description -l pl.UTF-8
Procedury do wybierania, badania oraz składania pakietów DNS. Mogą być
użyte do celów diagnostycznych lub do tworzenia bloków dla aplikacji
NDS takich jak serwery oraz klienci DNS lub do umożliwienia
użytkownikowi do bezpośredniej interakcji ze zdalnymi serwerami DNS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Net/DNS/ToolKit/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%{perl_vendorarch}/Net/DNS/*.pm
%{perl_vendorarch}/Net/DNS/ToolKit
%dir %{perl_vendorarch}/auto/Net/DNS
%dir %{perl_vendorarch}/auto/Net/DNS/ToolKit
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/ToolKit/*.so
%{perl_vendorarch}/auto/Net/DNS/ToolKit/*.ix
%{perl_vendorarch}/auto/Net/DNS/ToolKit/*.al
%{perl_vendorarch}/auto/Net/DNS/ToolKit/*.bs
%{perl_vendorarch}/auto/Net/DNS/ToolKit/Debug
%{perl_vendorarch}/auto/Net/DNS/ToolKit/Utilities
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-DNS-ToolKit.spec,v $
Revision 1.17  2012/01/14 19:11:32  zbyniu
- up to 0.45

Revision 1.16  2010/06/06 08:40:08  arekm
- release 2

Revision 1.15  2009/08/27 11:53:10  amateja
- updated to 0.42

Revision 1.14  2008/04/02 08:43:51  arekm
- up to 0.36

Revision 1.13  2008-01-10 08:43:25  glen
- add CC to %{__make}

Revision 1.12  2007-12-24 14:10:24  qboosh
- generic URL

Revision 1.11  2007-12-24 01:30:34  zbyniu
- up to 0.35

Revision 1.10  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.8  2006/02/26 23:31:23  agaran
- up to 0.25 rel 1

Revision 1.7  2005/12/29 19:50:06  glen
- package missing dir, make -j1, cleanup check files, formatting

Revision 1.6  2005/05/30 11:54:53  petec
- up to 0.24
- BR perl-NetAddr-IP

Revision 1.5  2004/12/05 15:57:17  radek
- version 0.23

Revision 1.4  2004/11/03 22:30:35  paladine
- formatting

Revision 1.3  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.2  2004/06/06 10:26:42  adamg
- BuildRequires perl-Net-DNS-Codes (when performing tests)
- added pl description

Revision 1.1  2004/06/06 09:57:46  adamg
- new
